package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasEduSchedule;
import com.koobietech.eas.mbg.model.EasEduScheduleExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasEduScheduleMapper {
    long countByExample(EasEduScheduleExample example);

    int deleteByExample(EasEduScheduleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EasEduSchedule record);

    int insertSelective(EasEduSchedule record);

    List<EasEduSchedule> selectByExample(EasEduScheduleExample example);

    EasEduSchedule selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EasEduSchedule record, @Param("example") EasEduScheduleExample example);

    int updateByExample(@Param("record") EasEduSchedule record, @Param("example") EasEduScheduleExample example);

    int updateByPrimaryKeySelective(EasEduSchedule record);

    int updateByPrimaryKey(EasEduSchedule record);
}